package com.seer.teach.netty.im.handler.mq.impl.userinfo;

import com.seer.teach.common.dto.mq.StringDTO;
import com.seer.teach.common.enums.MessagePushStatusEnums;
import com.seer.teach.common.enums.im.UserInfoTopiTagEnum;
import com.seer.teach.netty.common.proto.MessageType;
import com.seer.teach.netty.im.handler.mq.ImUserInfoHandler;
import com.seer.teach.netty.im.utils.ImUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * AnswerThinkingHandler 处理用户信息的实现类，用于处理回答思考相关的业务逻辑
 * <p>
 * 该类实现了 ImUserInfoHandler 接口，专门处理 StringDTO 类型的数据
 * </p>
 *
 * @author Captain
 * @since 2025-09-17 19:44
 */
@Slf4j
@Component
public class AnswerThinkingHandler implements ImUserInfoHandler<StringDTO> {

    @Override
    public void handle(StringDTO messageBody, String device) {
        ImUtils.pushSingleChatToDeviceWithAck(device,
                MessagePushStatusEnums.SUCCESS.getCode(),
                MessageType.MessageContentType.ANSWER_THINKING.getMsgContentType(),
                messageBody.getData());
        log.info("推送思考中Command");
    }

    @Override
    public Class<StringDTO> getType() {
        return StringDTO.class;
    }

    @Override
    public String getTag() {
        return UserInfoTopiTagEnum.ANSWER_THINKING.getTag();
    }
}
